% ----------------------
% calib.m
% ----------------------
% calibrates the model
% ----------------------

% DATA AND CALIBRATION

global alpha A_0 K0 LS0 LD0 I0 J0 Div0 V0 H0 A0 Omega0 Q0 C0 TB0
global parl0 parl1

x0      = 0; % inital guess
[x1, retcode] = findroot(@findcalib,x0);
if retcode~=0 error('Root finder in calib did not converge!'); end

global DF0 edy0 edl0
DF0     = x1(1);
edy0    = I0+J0+C0+TB0-Y0;
edl0    = LD0 - LS0;

fprintf('CHECK CALIBRATION: \t %4.5f\n',sum(abs([edy0,edl0])));

% TIME SERIES

global Y Div w I J V K H A Omega edl Q C TB DF edy N ell LS LD NB r gam theta

Y       = zeros(1,tend); Div = Y; w = Y; I = Y; J = Y; V = Y;
K       = Y; H = Y; A = Y; Q = Y; C = Y; TB = Y; DF = Y; edy = Y;
N       = Y; L = Y; ell = Y; LS = Y; LD = Y; Omega = Y; edl = Y;
r       = r0*ones(1,tend); gam = gam0*ones(1,tend);
NB      = NB0*ones(1,tend); theta = theta0*ones(1,tend);

% REPLICATE INTIAL CALIBRATION

t       = 1; fprintf('\nREPLICATE SS: \t\t %4.5f\n', sum(abs(SS([DF0 w0]))));
t       = 2; sum(abs(SS([DF0 w0])));
t       = 1; fprintf('REPLICATE TE: \t\t %4.5f\n\n', TE(w0));

% TAKE INITIAL STEADY STATE AS GUESS FOR JACOBIAN

guess   = kron([V(t) H(t) Omega(t)],ones(tend,1));
