% ----------------------
% findroot.m
% ----------------------
% computes the root of a function using differnt methods
% in:           @f, x0
% out:          x1, retcode
% ----------------------

function [x1, retcode] = findroot(f, x0)

global findrootmethod

% If findrootmethod is not or wrongly defined 'fsolve' is used

prec    = 1e-9;

if findrootmethod == 1
    [x1, retcode] = newton(f,x0,prec,0);
else
    options = optimoptions('fsolve','Display','off');
    [x1, x1val, retcode] = fsolve(f,x0,options);
    retcode = retcode - 1; % as 1 is the ok retcode
end

end